/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package areaidentification;

/**
 *
 * @author Ilias Foudalis
 */


import java.util.Vector;

public class Area {
    
    float score;
    short areaID;
    Vector<Short> nodes;
    Vector<Edge> edges;
    
    
    public Area()
    {}
    
    public Area(short areaID)
    {
        this.areaID = areaID;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 37 * hash + this.areaID;
        return hash;
    }
    
    @Override
    public boolean equals(Object o)
    {
        Area alpha = (Area)o;
        if(!(alpha instanceof Area))
            return false;
        else if(alpha.areaID == this.areaID)
            return true;
        else
            return false;
    }
    
}



